Package org.apache.felix.http.base.internal.registry

# Class EventListenerRegistry

java.lang.Object
org.apache.felix.http.base.internal.registry.EventListenerRegistry

All Implemented Interfaces:
  `jakarta.servlet.http.HttpSessionAttributeListener`, `jakarta.servlet.http.HttpSessionIdListener`, `jakarta.servlet.http.HttpSessionListener`, `jakarta.servlet.ServletContextAttributeListener`, `jakarta.servlet.ServletRequestAttributeListener`, `jakarta.servlet.ServletRequestListener`, `EventListener`

public final class EventListenerRegistry extends Object implements jakarta.servlet.http.HttpSessionListener, jakarta.servlet.http.HttpSessionAttributeListener, jakarta.servlet.http.HttpSessionIdListener, jakarta.servlet.ServletContextAttributeListener, jakarta.servlet.ServletRequestListener, jakarta.servlet.ServletRequestAttributeListener
Per context event listener registry.

## Constructor Summary

Constructors
Constructor
Description
`EventListenerRegistry()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListeners(@NotNull ListenerHandler handler)`
Add listeners
`void`
`attributeAdded(jakarta.servlet.http.HttpSessionBindingEvent event)`
`void`
`attributeAdded(jakarta.servlet.ServletContextAttributeEvent event)`
`void`
`attributeAdded(jakarta.servlet.ServletRequestAttributeEvent srae)`
`void`
`attributeRemoved(jakarta.servlet.http.HttpSessionBindingEvent event)`
`void`
`attributeRemoved(jakarta.servlet.ServletContextAttributeEvent event)`
`void`
`attributeRemoved(jakarta.servlet.ServletRequestAttributeEvent srae)`
`void`
`attributeReplaced(jakarta.servlet.http.HttpSessionBindingEvent event)`
`void`
`attributeReplaced(jakarta.servlet.ServletContextAttributeEvent event)`
`void`
`attributeReplaced(jakarta.servlet.ServletRequestAttributeEvent srae)`
`void`
`cleanup()`
`void`
`contextDestroyed()`
`static void`
`contextDestroyed(@NotNull ListenerInfo info, @NotNull jakarta.servlet.ServletContextListener listener, @NotNull jakarta.servlet.ServletContextEvent event)`
`void`
`contextInitialized()`
`static void`
`contextInitialized(@NotNull ListenerInfo info, @NotNull jakarta.servlet.ServletContextListener listener, @NotNull jakarta.servlet.ServletContextEvent event)`
`void`
`getRuntimeInfo(org.osgi.service.servlet.runtime.dto.ServletContextDTO dto, List<org.osgi.service.servlet.runtime.dto.FailedListenerDTO> failedListenerDTOs)`
`@Nullable ListenerHandler`
`getServletContextListener(@NotNull ListenerInfo info)`
Get the listener handler for the listener info
`void`
`removeListeners(@NotNull ListenerInfo info)`
Remove listeners
`void`
`requestDestroyed(jakarta.servlet.ServletRequestEvent sre)`
`void`
`requestInitialized(jakarta.servlet.ServletRequestEvent sre)`
`void`
`sessionCreated(jakarta.servlet.http.HttpSessionEvent se)`
`void`
`sessionDestroyed(jakarta.servlet.http.HttpSessionEvent se)`
`void`
`sessionIdChanged(@NotNull jakarta.servlet.http.HttpSessionEvent event, @NotNull String oldSessionId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventListenerRegistry

public EventListenerRegistry()

## Method Details

### cleanup

public void cleanup()

### addListeners

public void addListeners(@NotNull @NotNull ListenerHandler handler)
Add listeners

Parameters:
  `handler` - The listener handler

### removeListeners

public void removeListeners(@NotNull @NotNull ListenerInfo info)
Remove listeners

Parameters:
  `info` - The listener info

### getServletContextListener

@Nullable public @Nullable ListenerHandler getServletContextListener(@NotNull @NotNull ListenerInfo info)
Get the listener handler for the listener info

Parameters:
  `info` - The listener info
Returns:
  The handler or `null`.

### contextInitialized

public void contextInitialized()

### contextDestroyed

public void contextDestroyed()

### attributeReplaced

public void attributeReplaced(jakarta.servlet.http.HttpSessionBindingEvent event)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

### attributeRemoved

public void attributeRemoved(jakarta.servlet.http.HttpSessionBindingEvent event)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

### attributeAdded

public void attributeAdded(jakarta.servlet.http.HttpSessionBindingEvent event)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

### attributeReplaced

public void attributeReplaced(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.ServletContextAttributeListener`

### attributeRemoved

public void attributeRemoved(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.ServletContextAttributeListener`

### attributeAdded

public void attributeAdded(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.ServletContextAttributeListener`

### sessionCreated

public void sessionCreated(jakarta.servlet.http.HttpSessionEvent se)

Specified by:
  `sessionCreated` in interface `jakarta.servlet.http.HttpSessionListener`

### sessionDestroyed

public void sessionDestroyed(jakarta.servlet.http.HttpSessionEvent se)

Specified by:
  `sessionDestroyed` in interface `jakarta.servlet.http.HttpSessionListener`

### requestDestroyed

public void requestDestroyed(jakarta.servlet.ServletRequestEvent sre)

Specified by:
  `requestDestroyed` in interface `jakarta.servlet.ServletRequestListener`

### requestInitialized

public void requestInitialized(jakarta.servlet.ServletRequestEvent sre)

Specified by:
  `requestInitialized` in interface `jakarta.servlet.ServletRequestListener`

### attributeAdded

public void attributeAdded(jakarta.servlet.ServletRequestAttributeEvent srae)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.ServletRequestAttributeListener`

### attributeRemoved

public void attributeRemoved(jakarta.servlet.ServletRequestAttributeEvent srae)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.ServletRequestAttributeListener`

### attributeReplaced

public void attributeReplaced(jakarta.servlet.ServletRequestAttributeEvent srae)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.ServletRequestAttributeListener`

### sessionIdChanged

public void sessionIdChanged(@NotNull @NotNull jakarta.servlet.http.HttpSessionEvent event, @NotNull @NotNull String oldSessionId)

Specified by:
  `sessionIdChanged` in interface `jakarta.servlet.http.HttpSessionIdListener`
See Also:
  - `HttpSessionIdListener.sessionIdChanged(jakarta.servlet.http.HttpSessionEvent, java.lang.String)`

### getRuntimeInfo

public void getRuntimeInfo(org.osgi.service.servlet.runtime.dto.ServletContextDTO dto, List<org.osgi.service.servlet.runtime.dto.FailedListenerDTO> failedListenerDTOs)

### contextInitialized

public static void contextInitialized(@NotNull @NotNull ListenerInfo info, @NotNull @NotNull jakarta.servlet.ServletContextListener listener, @NotNull @NotNull jakarta.servlet.ServletContextEvent event)

### contextDestroyed

public static void contextDestroyed(@NotNull @NotNull ListenerInfo info, @NotNull @NotNull jakarta.servlet.ServletContextListener listener, @NotNull @NotNull jakarta.servlet.ServletContextEvent event)